{
  pkgs,
  myConfig,
  ...
}: {
  hardware = {
    bluetooth = {
      enable = true;
      powerOnBoot = true;
    };
  };
  networking = {
    hostName = myConfig.nixos.hostname;
    networkmanager.enable = true;
    networkmanager.wifi.backend = "iwd";
    wireless.iwd.enable = true;
    firewall = {
      enable = true;
      allowedTCPPorts = [22 80];
      allowedUDPPorts = [53];
    };
  };
}
